<template>
  <div>
    <p>Comments component</p>
    <div v-for="(comment, id_code) in comments" :key="id_code" >{{ comment.id_code }}</div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      comments: [],
    }
  },

  async fetch() {
    this.comments = await fetch(
      `https://dev.to/api/comments?a_id=${this.$route.params.article}`
    ).then((res) => res.json())
  },
}
</script>
